ion-grid,
ion-segment,
ion-segment-button,
ion-col,
ion-row {
  --padding: 0;
  --margin: 0;
  padding: 0;
  margin: 0;
}

ion-segment-button,
ion-segment {
  --padding-start: 0px;
  --padding-end: 0px;
  --padding-top: 0px;
  --padding-bottom: 0px;
  --border-width: 0;
  --box-shadow: none;
}

.filter-container {
  display: flex;
  flex-direction: column;
  gap: var(--card-text-padding-vertical, 0.625rem);
  align-self: stretch;
}

.title {
  color: var(--Secondary-Foreground, rgba(255, 255, 255, 0.65));
  font-size: 0.9375rem;
}

.change-all-button {
  padding: 0.3rem var(--card-text-padding-horizontal, 0.9375rem);
  justify-content: flex-end;
  font-size: 1rem;
  --border-radius: 62.5rem;
  font-weight: 600;
  --background: var(--Hint-Foreground);
  --color: var(--Main-Foreground);
  --background-checked: var(--Maximum-Background);
  --color-checked: var(--Maximum-Background);
  --indicator-color: var(--Main-Foreground) !important;
  --transition: none;
}

ion-segment {
  --background: transparent;
}

.button-container {
  display: flex;
  align-items: flex-start;
  align-content: flex-start;
  gap: 0.625rem var(--spacing-minor-min, 0.625rem);
  align-self: stretch;
  flex-wrap: wrap;
  justify-content: flex-start;
}

.custom-date-range-container {
  display: flex;
  gap: 0.3125rem;
  align-self: stretch;
  padding-top: var(--spacing-minor, 0.9375rem);
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-start;
}
.day-selector-row {
  display: flex;
  align-items: baseline;
  gap: 0.3125rem;
  align-self: stretch;
}

.day-selector-text {
  color: var(--Main-Foreground, rgba(0, 0, 0, 0.85));
  font-size: 1rem;
  font-weight: 600;
}

.flexible-line {
  background-color: var(--Hint-Foreground);
  height: 2px;
  flex-grow: 1;
}

ion-item-divider {
  height: 0.1rem;
}

ion-datetime-button::part(native) {
  background: transparent;
  border-radius: 62.5rem;
  border: 2px solid var(--Main-Foreground, rgba(0, 0, 0, 0.85));
  color: var(--Main-Foreground, rgba(255, 255, 255, 0.9));
  font-size: 1rem;
  font-weight: 600;
  display: flex;
  padding: 0.25rem 0.75rem;
  align-items: flex-start;
  gap: 0.625rem;
}

ion-datetime {
  --background: var(--Hint-Foreground);
  --wheel-fade-background-rgb: var(--Main-Foreground, rgba(255, 255, 255, 0.9));
}
